Bug 485555 - NetworkManager "Auto eth0" not editable and stays default
NetworkManager "Auto eth0" not editable and stays default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 454381 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-14 06:53 EST by keith
Modified: 2010-06-28 07:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:17:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 259214 None None None Never

  None (edit)
Description keith 2009-02-14 06:53:11 EST
Description of problem:

After new install of Fedora 11 Alpha, I want to switch to a static IP address.
NetworkManager has sucessfully configured a working eth0 as the "Auto eth0" as DHCP.
Firstly, I try to change the IPv4 setting to Manual, but cannot as all options are greyed out (assume possible PolicyKit failure here?) with no way of altering.
Then I create a new connection with manual IP, and switch to this. This all works fine until I reboot.

On reboot "Auto eth0" is the default and so switches my box back to DHCP

I want to either change the Auto eth0 setting (preferred as I dont need another entry), or have my manually entered become the default.

Version-Release number of selected component (if applicable):


How reproducible:
Every reboot ..

Steps to Reproduce:
1. Try to edit Auto eth0 and fail

or
1. Add new connection
2. Reboot
3.
  
Actual results:
Defaults to Auto eth0

Expected results:
Editable Auto eth0 or defaults to my manual eth0 setting entry

Additional info:
Comment 1 keith 2009-02-14 06:55:00 EST
~$ rpm -qa | grep NetworkManager
NetworkManager-vpnc-0.7.0-1.svn13.fc10.i386
NetworkManager-0.7.0-1.git20090102.fc10.i386
NetworkManager-openvpn-0.7.0-18.svn11.fc10.i386
NetworkManager-gnome-0.7.0-1.git20090102.fc10.i386
NetworkManager-glib-0.7.0-1.git20090102.fc10.i386
Comment 2 Dan Williams 2009-03-03 14:24:39 EST
This has been fixed in 0.7.1-rc3 if any enabled system settings plugins support modification of system connections (ifcfg-rh doesn't yet know how to write modifications back out, but keyfile does).
Comment 3 Dan Williams 2009-03-03 15:49:34 EST
*** Bug 454381 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2009-06-09 07:23:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bill C. Riemers 2009-07-17 18:59:25 EDT
Dan that is great.   Is there any way we can get this fix for Fedora 9 and Fedora 10?   This is still haunting me on both systems.

Fedora 10 is currently using NetworkManager-0.7.1-1.fc10.x86_64
Comment 6 Bug Zapper 2010-04-27 08:58:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:17:00 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.